
filename = input("Inserire nome file: ")

f = open(filename)

# MEMORY EFFICIENT
for row in f:
    if row[0] == '>':
        # rows are like ">7B2_HUMAN:Secretory"
        print(row.split(":")[0][1:])

# LIST COMPREHENSION VERSION (less memory efficient)
print("\n".join([row.split(":")[0][1:] for row in f if row[0] == '>']))

# MEMORY INEFFICIENT
for row in f.readlines():
    if row[0] == '>':
        # rows are like ">7B2_HUMAN:Secretory"
        print(row.split(":")[0][1:])
        
f.close()
